function [output1,output2] = trgsmpl(M,res)

% Plots the first 2M+1 trigonometric basis functions on [0,2M+1]
% with the given resolution res (number of points a period)
% and samples them on [0,2M] with step 1
% The plots are saved in trgsmpl#.eps, where #=1,...,2M+1
% The output variables output1 and output2 contain the last two samples of
% the last function

% define the number of functions, which is also the number of intervals
N = 2*M+1;
% define function handlers
fc = @(m,x) cos(2*pi*m*x/N);
fs = ???

% loop through the functions
for k=0:???
	% find out whether the function is even or odd
	q=mod(k,2);
	% define the mode number m
	if (q == 0)
		m=k/2;
	else
		m=(k+1)/2;
	end
	% create a new figure
	figure;
	%%% PLOT A GRAPH OF THE (k+1)TH FUNCTION
	% create a uniform grid from 0 to N with the given resolution
	t=linspace(0,N,max(res*m,2)); 
	% evaluate and plot the kth function on the grid
	if (q == 0)
		plot(t,fc(m,t),'k-');
	else
		???
	end
	%%% PLOT SAMPLES OF THE (k+1)TH FUNCTION
	% "freeze" the current figure to continue plotting on it 
	???
	% set sampling points from 0 to N-1 with step 1
	x=???;
	% evaluate the kth function at the sampling points
	if (q == 0)
		y=???
	else
		y=???
	end
	% plot the samples
	h=stem(x,y,'m');
	% set the color and line width of the samples
	set(h,'linewidth',3,'color',[0.5,k/(2*M),1-k/(2*M)]);
	% set the label for the x axis
	xlabel('{\bf sampling index}','fontsize',14);
	% specify the axes limits
	axis([-1 N+1 -1.5 1.5]);
	% set the title
	title(sprintf('Basis vector %i',k+1),'fontsize',14); drawnow;
	% save the figure as eps
	print('-depsc2',sprintf('trgsmpl%d.eps',k+1));
	
	% assign the last but one sampled value of the (k+1)th function to output1
	output1=y(end-1);
	% assign the last sampled value of the (k+1)th function to output2
	output2=???
end

return
end